# WARNING - Generated by {fusen} from dev/flat_prem_outils.Rmd: do not edit by hand



#' Information de la dimension et du nom des colonnes d'un data.frame
#'
#' @param df data.frame. Jeu de donnees
#'
#' @return liste contenant la dimension et le nom des colonnes du data.frame
#' @export 
#'
#' @examples
#' get_info_data(df = iris)
#' get_info_data(df = mtcars)
get_info_data <- function(df){
  
  if (isFALSE(inherits(df, "data.frame"))) {
    stop("mydata is not a data frame")
  }
  result <- list(dimension = dim(df),
                 names = names(df)) 
  return(result)
}
